Zigbee Intergration

Hi all, I am trying to set up an Zigbee intergration, so that I can use my Tradfri Remote in Home Assistant. I am using Homeassistant Core installation in a Docker.

I have a CC2531 USB Dongle. First I mapped the USB device in my docker-compose.ml file, and then I installed the “Zigbee Home Automation” intergration and selected the USB Dongle. But when I click submit it’s just never finishing, and I see this error showing up in my log:

2020-12-15 11:18:40 WARNING (MainThread) [zigpy_znp.zigbee.application] Failed to probe ZNP radio with config {'path': '/dev/ttyACM1', 'baudrate': 115200, 'flow_control': None}
Traceback (most recent call last):
  File "/usr/local/lib/python3.8/site-packages/zigpy_znp/zigbee/application.py", line 167, in probe
    await znp.connect()
  File "/usr/local/lib/python3.8/site-packages/zigpy_znp/api.py", line 199, in connect
    self._uart = await uart.connect(self._config[conf.CONF_DEVICE], self)
  File "/usr/local/lib/python3.8/site-packages/zigpy_znp/uart.py", line 164, in connect
    await protocol._connected_event.wait()
  File "/usr/local/lib/python3.8/asyncio/locks.py", line 309, in wait
    await fut
asyncio.exceptions.CancelledError

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/local/lib/python3.8/site-packages/zigpy_znp/zigbee/application.py", line 167, in probe
    await znp.connect()
  File "/usr/local/lib/python3.8/site-packages/async_timeout/__init__.py", line 55, in __aexit__
    self._do_exit(exc_type)
  File "/usr/local/lib/python3.8/site-packages/async_timeout/__init__.py", line 92, in _do_exit
    raise asyncio.TimeoutError
asyncio.exceptions.TimeoutError

Any ideas what could be wrong here?

1 Like